libfreenect (1:0.5.3-1~nd80+1) jessie; urgency=medium

  * Backported for jessie.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 01 Jan 2016 22:39:14 -0500

libfreenect (1:0.5.3-1) unstable; urgency=medium

  * Recent upstream bugfix release
  * debian/{patches/deb_python_versions,rules}
    - adjusted to not use generic FindPython* helpers since shown to be
      not robust and in our case we need just a single version ATM
      (Closes: #809582)
  * debian/patches/up_donot_leak_fnusb_claim_camera_into_API
    to avoid leaking fnusb_claim_camera() into public library

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 01 Jan 2016 22:26:32 -0500

libfreenect (1:0.5.2+git6-g5455843+dfsg-1) unstable; urgency=medium

  * New upstream snapshot from v0.5.2-6-g5455843 with few fixes
  * Upload to unstable
  * Added 3 new missing symbols to .symbols file
  * debian/control
    - boosted policy compliance to 3.9.6

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 29 Apr 2015 09:15:43 -0400

libfreenect (1:0.5.2+git2-g68073c3+dfsg-1) experimental; urgency=medium

  * New upstream snapshot from v0.5.2-2-g68073c3
  * debian/patches/add-missing-libs.patch to resolve conflict
  * debian/control
    - requires libusb >= 1.0.18 (for libusb_get_parent)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 13 Feb 2015 10:22:27 -0500

libfreenect (1:0.5.1+dfsg-1) experimental; urgency=medium

  * The latest upstream release
  * debian/patches
    - some removed, some refreshed
    - adjusted for which python gets selected (force to use python 2)
  * debian/libfreenect0.5.symbols
    - updated for introduced new symbols
  * debian/rules
    - no longer manual prefixing of binaries is needed, upstream provides
      prefixes
  * debian/control
    - -dev package depends on libusb-1.0-0-dev (Closes: #775768)
  * debian/copyright
    - updated upstream years and added missing copyright/license information
      (Thanks Thorsten Alteholz for the review)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 20 Jan 2015 14:00:33 -0500

libfreenect (1:0.2.0+dfsg-2) unstable; urgency=low

  * debian/patches
    - correct-libusb-path.patch - "reintroduced" to fix a single left-out
      versioned include of libusb.h . Should resolve FTBFS on kfreeebsd
      (Closes: #728483)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 01 Nov 2013 14:44:18 -0400

libfreenect (1:0.2.0+dfsg-1) unstable; urgency=low

  * Fresh upstream release
    - support of newer Kinect models (Closes: #723939). Thanks Andrew Harvey
      for the report
    - packaged is actually v0.2.0-1-g5eed1f0 (i.e. 1 commit after release tag)
      to have correct version specified to cmake
    - public library API dropped some functions (retained in the source but
      marked as 'hidden'), SOVERSION boosted to 0.2
  * debian/patches
    - add-missing-libs.patch and modify-fakenect-install.patch -- updated
    - removed (absorbed upstream):
      build-on-big-endian-systems-again.patch
      cameras-memcpy-structs-into-aligned-buffer.patch
      correct-libusb-search-and-include.patch
      remove-libusb-include-from-exported-header.patch
  * debian/copyright
    - updated to include wrappers/ruby/ffi-libfreenect copyright/license
      (Thanks Paul Tagliamonte for the review/report)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 27 Oct 2013 09:42:41 -0400

libfreenect (1:0.1.2+dfsg-6) unstable; urgency=low

  [ Nicolas Bourdaud ]
  * Make build system compatible with multiarch:
    - dont-postfix-to-install-libdir.patch becomes use-standard-libdir.patch
  * Bump debhelper compatibility level to 9.
  * Add multiarch support.
  * Remove useless section fields from debian/control.
  * Use dh_python2 instead of dh_pysupport.
  * Update manpages with keyboard shortcuts. (Closes: #663869)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 22 May 2012 12:55:02 -0400

libfreenect (1:0.1.2+dfsg-5) unstable; urgency=low

  [ Nicolas Bourdaud ]
  * Execute dh_numpy for python-freenect to fix lintian error
  * Bump policy version to 3.9.3 -- no changes
  * Update remove-libusb-include-from-exported-header.patch to fix warnings
    about undeclared struct timeval when using libfreenect.h

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 04 Mar 2012 21:42:06 -0500

libfreenect (1:0.1.2+dfsg-4) unstable; urgency=low

  [ Nicolas Bourdaud ]
  * Improved the package description.
  * Drop outdated libglut3-dev from Build-Depends 
  * Add libfreenect-doc to the dependencies of freenect metapackage 
  * Remove the paragraph about conflict with kernel module in README.Debian 

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 12 Feb 2012 19:00:15 -0500

libfreenect (1:0.1.2+dfsg-3) experimental; urgency=low

  [ Yaroslav Halchenko ]
  * Adding Replaces and Breaks for -bin package (Closes: #658712)
    Thanks to Andreas Beckman for the report
  * Respect 'nodoc' flag in DEB_BUILD_OPTIONS

  [ Nicolas Bourdaud ]
  * Fix execution on ARM platforms
    new patch: cameras-memcpy-structs-into-aligned-buffer.patch
  * Fix build on big endian platform
    new patch: build-on-big-endian-systems-again.patch

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 06 Feb 2012 09:47:19 -0500

libfreenect (1:0.1.2+dfsg-2) experimental; urgency=low

  [ Nicolas Bourdaud ]
  * Move doxygen from Build-Depends-Indep to Build-Depends.
  * Revert libfreenect-demos to libdevel section

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 03 Feb 2012 23:14:33 -0500

libfreenect (1:0.1.2+dfsg-1) experimental; urgency=low

  [ Nicolas Bourdaud ]
  * New upstream release (Closes: #653501)
  * Use libfreenect.0.0.udev file instead of custom install and postinst
    script to install udev rules.
  * Switch to source package format "3.0 (quilt)". Thus source code
    modifications have been converted into quilt patches:
      - New patch dont-install-into-include-subfolder.patch
      - New patch dont-postfix-to-install-libdir.patch
      - New patch modify-fakenect-install.patch
  * Add remove-libusb-include-from-exported-header.patch to drop the
    dependency of libfreenect-dev on libusb-1.0-dev.
  * Add correct-libusb-search-and-include.patch to adjust libusb include
    statements and fix cmake test of libusb.
  * Switch from cdbs to dh
  * Update SONAME from libfreenect0.0 to libfreenect0.1.
  * New patch: add-missing-libs.patch
  * Add -doc package.
  * Set Nicolas as maintainer and move Arne as uploader.
  * Rename libfreenect-demos into libfreenect-bin and add utilities to it.
  * Stop shipping static libraries
  * Update Vcs-* fields in debian/control
  
  [ Yaroslav Halchenko ]
  * python-freenect: Added module frame_convert.py within examples

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Tue, 31 Jan 2012 21:46:14 +0100

libfreenect (1:0.0.1+20101211+2-4~pre1) UNRELEASED; urgency=low

  * Added symbols file for libfreenect0.0

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 18 Jan 2012 11:42:00 -0500

libfreenect (1:0.0.1+20101211+2-3) unstable; urgency=low

  [ Nicolas Bourdaud ]
  * [03039eb] Remove useless explicit dependencies (e.g. libglut3) of
    binary packages (Closes: #616525)

  [ Yaroslav Halchenko ]
  * Moved GPL-2 license stud to a separate paragraph
  * Boosted policy compliance to 3.9.2 -- no changes
  * Moved numpy into Depends from Suggests (Closes: #641792)
  * Added Build-Depends on python-support and call to dh_pysupport in
    binary-install (Closes: #632062)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 16 Jan 2012 22:24:06 -0500

libfreenect (1:0.0.1+20101211+2-2) unstable; urgency=low

  * Added freeglut3-dev as a leading alternative to libglut3-dev

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 26 Jun 2011 09:36:02 -0400

libfreenect (1:0.0.1+20101211+2-1) unstable; urgency=low

  * Initial release for Debian (Closes: #606831)
  * Cherry-picked (into .orig.tar.gz) from upstream to resolve licensing
    issues:
    - [9cdc713] Removed old, unused kinect protocol documentation, as all
      info now exists on wiki and should be exported from there as needed
    - [3390f9b] Added BSD license into libusb-1.0 finder for compliance
    - [0a165cf] Carry pre-generated CONTRIB to be distributed/installed
      under /u/s/doc/*freenect* to fulfill upstream license requirement
  * [64cb9a2] debian/copyright: migrated to DEP5 format
    - added missing statement for cmake_modules/Findlibusb-1.0.cmake
  * [f34b2ea] added debian/blends and injected into the debian-science
    task files
  * [17eb497] pruning done debian/TODO items

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 18 Feb 2011 16:57:13 -0500

libfreenect (1:0.0.1+20101211+1-2) UNRELEASED; urgency=low

  [ arnebe ]
  * [a20ff19] Added missing dependency to libfreenect0.0 in
    libfreenect-dev

  [ Yaroslav Halchenko ]
  * [2533ceb] Added missing dependency to udev in libfreenect0.0,
    it uses udevadm in libfreenect0.0.postinst

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 04 Jan 2011 18:41:55 -0500

libfreenect (1:0.0.1+20101211+1-1) UNRELEASED; urgency=low

  * Initial upload for Debian
  * Fixing my own ignorance (thank you Arne): new .orig.tar.gz
    must carry a populated CONTRIB file as mandated by upstream for
    non-GIT distributions of unreleased (yet) versions
  * Fresh snapshot of upstream development (master branch) as of
    Dec 11 to actually match the date encoded in the version
    - Added build-depends: python-numpy

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 14 Dec 2010 21:45:11 -0500

libfreenect (1:0.0.1+20101211-3) UNRELEASED; urgency=low

  * Introduced python-freenect binary package, submitted pull request
    for the introduced patch upstream.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 14 Dec 2010 16:41:44 -0500

libfreenect (1:0.0.1+20101211-2) UNRELEASED; urgency=low

  * include fakenect lib
  * put include files under /usr/include instead of /usr/include/freenect

 -- Arne Bernin <arne@alamut.de>  Mon, 13 Dec 2010 02:21:21 +0100

libfreenect (1:0.0.1+20101211-1) UNRELEASED; urgency=low

  * Boost of policy compliance to 3.9.1 -- no changes are due
  * Fix: disable cmake deduction of library path alternation 
    -- should go under /usr/lib for all architectures.

 -- Arne Bernin <arne@alamut.de>  Sat, 11 Dec 2010 21:37:28 +0100

libfreenect (1:0.0.1+20101211-0ubuntu2~lucid) lucid; urgency=low

  * New Version from upstream

  * Naming changes, now defaults to freenect upstream version

  * fixed typo in changelog

  * finished splitting based packages, thanks for inspiration to
    Mark Renouf <mark.renouf@gmail.com>

 -- Arne Bernin <arne@alamut.de>  Sat, 11 Dec 2010 21:18:29 +0100

libfreenect (0.0.20101122-0ubuntu2~lucid) lucid; urgency=low

  * fixed typo in changelog

 -- Arne Bernin <arne@alamut.de>  Fri, 22 Nov 2010 14:41:01 +0100

libfreenect (0.0.20101122-0ubuntu2~maverick) maverick; urgency=low

  * added c++ api + code cleanups from upstream

 -- Arne Bernin <arne@alamut.de>  Fri, 22 Nov 2010 14:41:01 +0100

libfreenect (0.0.20101122-0ubuntu1~lucid) maverick; urgency=low

  * added c++ api + code cleanups from upstream

 -- Arne Bernin <arne@alamut.de>  Fri, 22 Nov 2010 14:41:01 +0100

libfreenect (0.0.20101119-0ubuntu2~maverick) maverick; urgency=low

  * Fix build for amd64

 -- Arne Bernin <arne@alamut.de>  Fri, 19 Nov 2010 14:41:01 +0100

libfreenect (0.0.20101119-0ubuntu1~maverick) maverick; urgency=low

  * New upstream release

 -- Arne Bernin <arne@alamut.de>  Fri, 19 Nov 2010 14:41:01 +0100

libfreenect (0.0.1-4~maverick) maverick; urgency=low

  * upload for maverick

 -- Arne Bernin <arne@alamut.de>  Wed, 17 Nov 2010 23:04:12 +0100

libfreenect (0.0.1-4~lucid) lucid; urgency=low

  * add udev rules file and postinst to call udevadmin
  * added Readme.Debian

 -- Arne Bernin <arne@alamut.de>  Wed, 17 Nov 2010 23:04:12 +0100

libfreenect (0.0.1-3~maverick) maverick; urgency=low

  * add maverick to changelog so it can be used in ppa

 -- Arne Bernin <arne@alamut.de>  Wed, 17 Nov 2010 23:04:12 +0100

libfreenect (0.0.1-3) lucid; urgency=low

  * Fix dependency errors for compiling

 -- Arne Bernin <arne@alamut.de>  Wed, 17 Nov 2010 23:04:12 +0100

libfreenect (0.0.1-2) lucid; urgency=low

  * Fix dependency errors for building

 -- Arne Bernin <arne@alamut.de>  Wed, 17 Nov 2010 23:04:12 +0100

libfreenect (0.0.1-1) lucid; urgency=low

  * Initial release 

 -- Arne Bernin <arne@alamut.de>  Wed, 17 Nov 2010 21:26:12 +0100
